Unify and manage your data

Delete hierarchy connections

Learn more about how to use the hierarchy connections API to delete connections in a hierarchy instance.

Use the Hierarchy delete connections to delete one or more connections from a hierarchy instance. This operation requires the MDM.Data.Hierarchy permission with the DELETE privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

DELETE https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/{instanceId}/connections

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

The request body is a JSON array of connection definition objects.

FieldTypeRequiredDescription
Connection IDsArray of stringsYesThe list of connection IDs to delete.

Example request

Use the following example to see how a complete request is structured with headers.

DELETE /{instanceId}/connections
Authorization: Bearer <token>

[
  "conn1",
  "conn2",
  "conn3"
]

Response fields

The following table describes the fields returned in the response body, which is an array of hierarchy connection objects.

FieldTypeDescription
connectionIdStringThe connection ID for the deleted connection.
statusStringThe result of the delete operation. The documented value is DELETED.

Example response

The following example shows the response body.

[{
  "connectionId": "{conn1}",
  "status": "DELETED"
},
 {
  "connectionId": "{conn2}",
  "status": "DELETED"
},
{
  "connectionId": "{conn3}",
  "status": "DELETED"
}]